Description

In some files we use std::string to represent paths to files.

Replace these with values of type filesystem::path  (or boost:filesystem::path until we move to C++17)

Related issues:

Related to CoCoA-5 - Bug #1397: Crashes if CoCoAHelp.xml is missing Closed 21 Jan 2020

Related to CoCoALib - Design #1632: C++17: notes about updating New 12 Nov 2021

History

#1 - 12 Nov 2021 10:21 - John Abbott

- Related to Bug #1397: Crashes if CoCoAHelp.xml is missing added

#2 - 12 Nov 2021 10:25 - John Abbott

It seems that filesystem::path was introduced in C++17.

Anna asks whether we should start compiling with standard C++17 instead of C++14.

The alternative is to use the BOOST impl: this requires writing the prefix boost::, but is otherwise compatible.

Note that Main.C includes boost/filesystem.hpp

See also comment 10 in issue #1397

#3 - 12 Nov 2021 18:09 - John Abbott

- Related to Design #1632: C++17: notes about updating added

#4 - 13 Nov 2021 00:55 - John Abbott

The global packageDir should probably also be of type boost::filesystem::path.

Currently it is std::string and declared in Interpreter.H but defined in OnlineHelp.C  (weird?!?)

#5 - 14 Jan 2022 10:27 - Anna Maria Bigatti

- Subject changed from Use filesystem::path instead of string to Use filesystem::path instead of string (packageDir, CoCoAManFileName)
